import { PageContainer, ProTable } from "@ant-design/pro-components"
import { columns } from "./tableConfig"
import { useAjax } from "@/Hook/useAjax"
import { bookCoinList, Params } from "@/services/miniApp/consume"
import { useModel } from "@umijs/max"
import { useState } from "react"

const Page: React.FC = () => {
    let { initialState } = useModel("@@initialState")
    let [appType,setAppType]=useState("1")
    let getList = useAjax((params) => bookCoinList(params), { type: 'table' })
    return <PageContainer
        tabProps={{type:'card'}}
        header={{style:{paddingBottom:0}}}
        onTabChange={(key)=>{
            setAppType(key)
        }}
        tabList={[
            {
                tab: '微信小程序',
                key: '1',
            },
            {
                tab: '抖音小程序',
                key: '2',
            },
        ]}>
        <ProTable<any, any>
            params={{
                miniappId: initialState?.selectApp?.id || "",
                distributorId: initialState?.currentUser.distributorId,
                appType
            }}
            headerTitle={"消费订单列表"}
            rowKey={(r) => r.id}
            search={{
                labelWidth: 120,
            }}
            request={async (params) => {
                return await getList.run(params)
            }}
            columns={columns()}
        // bordered
        />
    </PageContainer>

}
export default Page