import { api } from '@/services/api';
import { request } from '@umijs/max';
type Page={
    pageSize:number|string,
    pageNum:number|string
}

export interface Params extends Page{
    miniappId:string,//微信小程序组件ID
    distributorId:string,//分销商ID
    appType:string,//小程序类型 1:微信小程序、2：抖音小程序
    workDirection?:string,//作品方向;0-男频 1-女频
    categoryId?:string,//类别ID
    source?:string,//来源
    labelIds?:string,//标签ID
    bookName?:string,//小说名
    authorId?:string,//作者
    startWordCount?:string,//开始字数
    endWordCount?:string,//结束字数
    bookStatus?:string,//书籍状态;0-连载中 1-已完结
    shelveStatus?:string,//上下架状态;0-上架 1-下架
    paymentType?:string,//付费类型：0-免费 1-按千字收费 2-整本收费
    vipFree?:string,//vip 是否免费阅读;false-否，true-是
}
// ======================================长篇================================
/**小说列表 */
export async function longBookInfoList(params:Params) {
  return request(api+'/admin/longBookInfo/list', {
    method: 'GET',
    params
  });
}


// ======================================短篇================================
export async function shortBookOrderList(params:Params) {
    return request(api+'/admin/shortBookOrder/list', {
      method: 'GET',
      params
    })
  }